Elements 2020 install no good on El Capitan Mac OS

New Here ,
Mar 19, 2020 Mar 19, 2020

Copy link to clipboard

Copied

Says, "Sorry, installation failed! System requirements not met..." etc. 

Exit Code: 190
-------------------------------------- Summary --------------------------------------
- 2 fatal error(s), 0 error(s), 0 warnings(s)

FATAL: Sanity check for installation failed. Current OS version 10.11.6 doesn't satisfy OS requirements.
FATAL: Error occurred in install product workflow with error code 190 error message
-------------------------------------------------------------------------------------

 

I am sure this has happened to other - but I can't find a solution

TOPICS
Download and install, Mac, Problem or error

Views

648

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct Answer

Adobe Community Professional , Mar 19, 2020 Mar 19, 2020
Photoshop elements 2020 requires macOS High Sierra 10.13, macOS 10.14 Mojave or macOS Catalina 10.15, so that's the reason for the error message and unsuccessful install. https://helpx.adobe.com/photoshop-elements/system-requirements.html Maybe you can upgrade your Mac OS  X El Capitan to a newer version in order to be able to use photoshop elements 2020. What model and year mac do you have?

Likes

Translate

Translate
Adobe Community Professional ,
Mar 19, 2020 Mar 19, 2020

Copy link to clipboard

Copied

Photoshop elements 2020 requires macOS High Sierra 10.13, macOS 10.14 Mojave or macOS Catalina 10.15, so that's the reason for the error message and unsuccessful install.

 

https://helpx.adobe.com/photoshop-elements/system-requirements.html

 

Maybe you can upgrade your Mac OS  X El Capitan to a newer version in order to be able to use photoshop elements 2020.

 

What model and year mac do you have?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
New Here ,
Mar 20, 2020 Mar 20, 2020

Copy link to clipboard

Copied

LATEST

of course! i didn't read the requirements 😞 i upgraded to catalina, but that was the wrong move because it was so slow with the machine hardware i had - i backed up ( a full back up and erase and install) to el capitan and tried to install PSE...no go...then found an installer to get me up to high sierra, and that worked. my bad for not reading the requirements 😞

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines